<#
.SYNOPSIS

Altera o endereço, usuario e senha para clonar o repositorio ReleaseWeb devido a migracao do gitlab

altera:
    acessos.git.usuario para oauth2
    acessos.git.senha para glpat-VXhaGnDptcUu5CgzWVR5

#>

. $PSScriptRoot\..\_echo.ps1
. $PSScriptRoot\..\configuracoesMicrouniversoWeb.ps1
. $PSScriptRoot\acpsFuncoesComuns.ps1

function global:_mu.acp3JaExecutada() {
    (test-path (mu.acp.obterCaminhoRegistroACPs)) -and (Get-itemProperty (mu.acp.obterCaminhoRegistroACPs)).acp3 -match "executada"
}

function global:_mu.executarAcp3() {
    param(
        [Parameter(Mandatory = $true)]
        [string]
        $enderecoArquivoConfiguracao
    )

    $configuracoes = mu.configuracoesMicrouniversoWeb.obter -enderecoYaml $enderecoArquivoConfiguracao 

    #write-host $configuracoes

    $configuracoes.acessos.git.usuario = "oauth2"
    $configuracoes.acessos.git.senha = "glpat-VXhaGnDptcUu5CgzWVR5"

    mu.configuracoesMicrouniversoWeb.salvar -configuracoes $configuracoes -enderecoYaml $enderecoArquivoConfiguracao

    New-ItemProperty $(mu.acp.obterCaminhoRegistroACPs) -Name acp3 -Value "executada;$(get-date -format yyyy-MM-dd-HH-mm-ss)" -force

}

function global:mu.acp3() {
    param(
        [Parameter(Mandatory = $true)]
        [string]
        $enderecoArquivoConfiguracao
    )

    mu.acp.criarCaminhoAcpsSeNecessario

    if ((_mu.acp3JaExecutada) -eq $false) {
        _mu.executarAcp3 -enderecoArquivoConfiguracao $enderecoArquivoConfiguracao
        _echo "ACP3 executada com sucesso"
    } else {
        _echo "ACP3 ja executada"
    }
}